#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	int i;
	for (i=0; i<numSquares; i++) {
		posX[i]=ofRandomuf()*ofGetWidth();
		posY[i]=ofRandomuf()*ofGetHeight();
		repulsionX[i]= ofRandomf()/2;
		repulsionY[i]= ofRandomf()/2;
	}	
	ofEnableAlphaBlending();
	ofBackground(255, 255, 255);
	mouseMoving = false;
	ofSetRectMode(OF_RECTMODE_CENTER);
}

//--------------------------------------------------------------
void testApp::update(){
	int i;
	if(mouseMoving){
	for (i=0; i<numSquares; i++) {
		squareDist[i]=ofDist(posX[i],posY[i],mouseX,mouseY);
			if(squareDist[i]>200){
				posX[i] += (mouseX-posX[i])/100;
				posY[i] += (mouseY-posY[i])/100;
			}else{
				posX[i] += repulsionX[i];
				posY[i] += repulsionY[i];
			}
		}
	}
}

//--------------------------------------------------------------
void testApp::draw(){
	float squareSize = 60;
	float colorValue;
	int i;
	for (i=0; i<numSquares; i++) {
		colorValue = (int)ofClamp((mouseX-posX[i])*6,0,255);
		ofSetColor(255,127 , colorValue, 50);
		ofRect(posX[i],posY[i], squareSize, squareSize);
	}
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){
	if (key == 'p') {
		string dateStamp = "_"+ofToString(ofGetYear())+"-"+ofToString(ofGetMonth())+"-"+ofToString(ofGetDay())+"_"+ofToString(ofGetHours())+"-"+ofToString(ofGetMinutes())+"_"+ofToString(ofGetSeconds());
		ofSaveScreen("screenshot"+dateStamp+".png");
	}	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	mouseMoving = true;
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

